Bug 20688 - Add accesskeys for hold confirmation boxes
Summary: Add accesskeys for hold confirmation boxes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2018-05-01 15:13 UTC by Nick Clemens
Modified: 2021-11-22 23:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 20688: Add accesskeys to hold modals (5.60 KB, patch)
2021-05-26 10:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20688: Add accesskeys for transfers (6.59 KB, patch)
2021-05-26 10:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20688: Add accesskeys to hold modals (5.65 KB, patch)
2021-05-26 13:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20688: Add accesskeys for transfers (6.64 KB, patch)
2021-05-26 13:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20688: Add accesskeys to hold modals (5.64 KB, patch)
2021-07-30 09:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20688: Add accesskeys for transfers (6.38 KB, patch)
2021-07-30 09:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20688: Add accesskeys to hold modals (5.71 KB, patch)
2021-08-29 12:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20688: Add accesskeys for transfers (6.45 KB, patch)
2021-08-29 12:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-05-01 15:13:11 UTC
When checking out a book that is already checked out to another patron the confirmation boxes display "Yes, check out (Y)" and the HTML has an "accesskey" element to allow confirmation via the keyboard

We should duplicate the same functionality for hold confirmation boxes (and probably elsewhere eventually)

I suggest:
"c" Confirm hold (C)
"p" Confirm hold and print (P)
"i" Ignore (I)
"x" Cancel hold (X)
Comment 1 Nick Clemens 2021-05-26 10:16:36 UTC
Created attachment 121418 [details] [review]
Bug 20688: Add accesskeys to hold modals

This patch adds accesskey elements to the hold modals during checkin

For tips on how to access the accesskeys:
https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

To test:
1 - Place some holds on items
2 - Check in an item with a hold at a branch that requires transfer
3 - Use accesskey I to ignore
4 - Use accesskey Y to confirm and transfer
5 - Check in again
6 - Use accesskey Y to confirm
7 - Repeat 4-6 with a new hold but use the accesskey P to print the slip
8 - Check in the item again ans use accesskey X to cancel
Comment 2 Nick Clemens 2021-05-26 10:16:39 UTC
Created attachment 121419 [details] [review]
Bug 20688: Add accesskeys for transfers

To test:
1 - Disable AutomaticItemReturn systme preference
2 - Check in an item that does not float at a branch no it's home
3 - Test new accesskeys for I,N,Y,P
4 - With transfer confirmed check the item in at a wrong branch
5 - Test accesskeys Y,P,X
Comment 3 Owen Leonard 2021-05-26 13:07:33 UTC
Created attachment 121432 [details] [review]
Bug 20688: Add accesskeys to hold modals

This patch adds accesskey elements to the hold modals during checkin

For tips on how to access the accesskeys:
https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

To test:
1 - Place some holds on items
2 - Check in an item with a hold at a branch that requires transfer
3 - Use accesskey I to ignore
4 - Use accesskey Y to confirm and transfer
5 - Check in again
6 - Use accesskey Y to confirm
7 - Repeat 4-6 with a new hold but use the accesskey P to print the slip
8 - Check in the item again ans use accesskey X to cancel

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Owen Leonard 2021-05-26 13:07:36 UTC
Created attachment 121433 [details] [review]
Bug 20688: Add accesskeys for transfers

To test:
1 - Disable AutomaticItemReturn systme preference
2 - Check in an item that does not float at a branch no it's home
3 - Test new accesskeys for I,N,Y,P
4 - With transfer confirmed check the item in at a wrong branch
5 - Test accesskeys Y,P,X

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2021-07-24 23:27:08 UTC
Can you please rebase?


Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 20688: Add accesskeys to hold modals
Applying: Bug 20688: Add accesskeys for transfers
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/circ/returns.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 20688: Add accesskeys for transfers
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-20688-Add-accesskeys-for-transfers-nNbAY7.patch
Comment 6 Nick Clemens 2021-07-30 09:50:21 UTC
Created attachment 123295 [details] [review]
Bug 20688: Add accesskeys to hold modals

This patch adds accesskey elements to the hold modals during checkin

For tips on how to access the accesskeys:
https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

To test:
1 - Place some holds on items
2 - Check in an item with a hold at a branch that requires transfer
3 - Use accesskey I to ignore
4 - Use accesskey Y to confirm and transfer
5 - Check in again
6 - Use accesskey Y to confirm
7 - Repeat 4-6 with a new hold but use the accesskey P to print the slip
8 - Check in the item again ans use accesskey X to cancel

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Nick Clemens 2021-07-30 09:50:24 UTC
Created attachment 123296 [details] [review]
Bug 20688: Add accesskeys for transfers

To test:
1 - Disable AutomaticItemReturn systme preference
2 - Check in an item that does not float at a branch no it's home
3 - Test new accesskeys for I,N,Y,P
4 - With transfer confirmed check the item in at a wrong branch
5 - Test accesskeys Y,P,X

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Katrin Fischer 2021-08-29 12:19:03 UTC
> For tips on how to access the accesskeys:
> https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

This was really helpful, thx!
Comment 9 Katrin Fischer 2021-08-29 12:19:41 UTC
Created attachment 124229 [details] [review]
Bug 20688: Add accesskeys to hold modals

This patch adds accesskey elements to the hold modals during checkin

For tips on how to access the accesskeys:
https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

To test:
1 - Place some holds on items
2 - Check in an item with a hold at a branch that requires transfer
3 - Use accesskey I to ignore
4 - Use accesskey Y to confirm and transfer
5 - Check in again
6 - Use accesskey Y to confirm
7 - Repeat 4-6 with a new hold but use the accesskey P to print the slip
8 - Check in the item again ans use accesskey X to cancel

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2021-08-29 12:19:46 UTC
Created attachment 124230 [details] [review]
Bug 20688: Add accesskeys for transfers

To test:
1 - Disable AutomaticItemReturn systme preference
2 - Check in an item that does not float at a branch no it's home
3 - Test new accesskeys for I,N,Y,P
4 - With transfer confirmed check the item in at a wrong branch
5 - Test accesskeys Y,P,X

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2021-08-29 12:20:36 UTC
I believe the info on how to access the accesskeys with different browsers would make a nice addition somewhere in the manual.
Comment 12 Jonathan Druart 2021-08-30 15:11:29 UTC
Pushed to master for 21.11, thanks to everybody involved!